it-swarm.com.de

ModuleNotFoundError: Kein Modul mit dem Namen 'google.appengine'

Ich möchte eine Google-Suche in Python3 unter Windows durchführen. Die Google-Anweisungen besagen, dass sie Python3 unterstützen und "gcloud topic init" für Details eingeben - aber das sagt nicht, dass kein Interpreter für Python2.7 vorhanden ist. Muss ich python2.7 installieren, um herauszufinden, wie es auf python3 funktioniert?

Auf Python3 erhalte ich die folgende Fehlermeldung. Ich habe einen API-Schlüssel und eine benutzerdefinierte Suchmaschine eingerichtet. Ich habe "pip install google-api-python-client". Ich habe GoogleCloudSDKInstaller heruntergeladen und ausgeführt. Dies ist der Fehler:

from googleapiclient.discovery import build
service = build("customsearch", "v1", developerKey="xxxxxx")

Ich bekomme:

[googleapiclient.discovery_cache:WARNING]:file_cache is unavailable when using oauth2client >= 4.0.0 or google-auth (__init__.py:44, time=Apr-07 17:25) Traceback (most recent call last):   File "C:\Users\simon\Anaconda3\lib\site-packages\googleapiclient\discovery_cache\__init__.py", line 36, in autodetect
    from google.appengine.api import memcache ModuleNotFoundError: No module named 'google.appengine'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):   File "C:\Users\simon\Anaconda3\lib\site-packages\googleapiclient\discovery_cache\file_cache.py", line 33, in <module>
    from oauth2client.contrib.locked_file import LockedFile ModuleNotFoundError: No module named 'oauth2client'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):   File "C:\Users\simon\Anaconda3\lib\site-packages\googleapiclient\discovery_cache\file_cache.py", line 37, in <module>
    from oauth2client.locked_file import LockedFile ModuleNotFoundError: No module named 'oauth2client'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):   File "C:\Users\simon\Anaconda3\lib\site-packages\googleapiclient\discovery_cache\__init__.py", line 41, in autodetect
    from . import file_cache   File "C:\Users\simon\Anaconda3\lib\site-packages\googleapiclient\discovery_cache\file_cache.py", line 41, in <module>
    'file_cache is unavailable when using oauth2client >= 4.0.0 or google-auth') ImportError: file_cache is unavailable when using oauth2client >= 4.0.0 or google-auth [googleapiclient.discovery:INFO]:URL being requested: GET https://www.googleapis.com/discovery/v1/apis/customsearch/v1/rest?key=AIzaSyBGDtIo_P8xXbn0ksb15wUhy6sdR_eBDpU
18
simon

Benötigt den Parameter cache_discovery=False beim Erstellen eines Dienstes wie folgt:

service = discovery.build('customsearch', 'v1', credentials=<...>, cache_discovery=False)
29
simon